# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91.0"
name = "obeli-sk-val-json"
version = "0.27.0"
authors = ["Project Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Internal package of obeli-sk"
readme = false
license = "AGPL-3.0-only"
repository = "https://github.com/obeli-sk/obelisk"
resolver = "2"

[features]
wasmtime = ["dep:wasmtime"]
wit-parser = ["dep:wit-parser"]

[lib]
name = "obeli_sk_val_json"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0"
features = ["backtrace"]

[dependencies.hashbrown]
version = "0.16.0"
features = ["serde"]

[dependencies.indexmap]
version = "2.12"
features = ["serde"]

[dependencies.itertools]
version = "0.14"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.thiserror]
version = "2.0"

[dependencies.wasmtime]
version = "38.0.4"
features = ["memory-protection-keys"]
optional = true

[dependencies.wast]
version = "240.0.0"

[dependencies.wit-parser]
version = "0.240.0"
optional = true

[dev-dependencies.assert_matches]
version = "1.5.0"

[dev-dependencies.insta]
version = "1.43.2"
features = ["json"]

[lints.clippy]
dbg_macro = "deny"
explicit_deref_methods = "allow"
from_iter_instead_of_collect = "allow"
if_not_else = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_name_repetitions = "allow"
too_many_lines = "allow"
trivially_copy_pass_by_ref = "allow"
unnecessary_debug_formatting = "allow"

[lints.clippy.all]
level = "deny"
priority = -1

[lints.clippy.pedantic]
level = "deny"
priority = -1

[lints.rust]
unexpected_cfgs = "deny"
unknown_lints = "deny"
